コンテンツへスキップ

AI スタジオ写真タスクを実行します。

リクエスト

タスクステータスの確認方法については、ポーリングガイドを参照してください。ソース画像、テンプレート ID、出力数設定が必要です。

セキュリティ
BearerAuthenticationV2
ボディapplication/json必須
Any of:
template_idstring必須

テンプレートの ID。事前に定義されたテンプレートを一覧表示し、その ID を使用します。

例:"good_template_001"
output_countinteger, [ 1 .. 200 ]必須

生成される画像の数。1 から 200 の間で指定する必要があります。

例:20
src_file_urlstring必須

タスクを実行するファイルの URL。URL は公開アクセス可能である必要があります。

例:"https://example.com/selfie.jpg"
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/ai-studio \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "template_id": "good_template_001",
    "src_file_url": "https://example.com/selfie.jpg",
    "output_count": 20
  }'

レスポンス

タスクの実行に成功しました

ボディapplication/json
statusinteger

レスポンスステータス

例:200
dataobject
レスポンス
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }